# API Starter Files

Here's a quick summary of the starter files:
```md
src
  app.js - defines the Express application (and exports it)
  server.js - imports app.js and starts it
tests
  api.test.js - imports app.js and starts it in order to run test requests
  sample.test.js - use it as a starter file for testing app components
.env - defines environment variables for production mode
.env.dev - defines environment variables for dev mode
.env.test - defines environment variables used while running tests
```
Note that the app code (app.js) and the code that starts the app (server.js) have
been separated into different files so that we can import app.js into the api.test.js file (which starts the app using the 'supertest' package)

Start by installing the dependencies:
```md
npm install
```

## The scripts that are defined in package.json
To run the unit tests (note that this will use the .env.test file):
```md
npm run test
```

To run the app in dev mode (using the .env.dev file):
```md
npm run dev
```

To run the app in production mode (using the .env file):
```md
npm run start
```